SimpleValueBinding (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.binding
Class SimpleValueBinding

    java.lang.Object
      org.hibernate.metamodel.binding.SimpleValueBinding

    public class SimpleValueBinding

extends Object

Constructor Summary
`SimpleValueBinding()`
`SimpleValueBinding(boolean includeInInsert, boolean includeInUpdate)`
`SimpleValueBinding(SimpleValue simpleValue)`
`SimpleValueBinding(SimpleValue simpleValue, boolean includeInInsert, boolean includeInUpdate)`

Method Summary
`SimpleValue` | `getSimpleValue()`
`boolean` | `isDerived()`
`boolean` | `isIncludeInInsert()` Is the value to be inserted as part of its binding here? NOTE that a column may be bound to multiple attributes.
`boolean` | `isIncludeInUpdate()`
`boolean` | `isNullable()`
`void` | `setIncludeInInsert(boolean includeInInsert)`
`void` | `setIncludeInUpdate(boolean includeInUpdate)`
`void` | `setSimpleValue(SimpleValue simpleValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleValueBinding

    public SimpleValueBinding()

### SimpleValueBinding

    public SimpleValueBinding(SimpleValue simpleValue)

### SimpleValueBinding

    public SimpleValueBinding(SimpleValue simpleValue,
                              boolean includeInInsert,
                              boolean includeInUpdate)

### SimpleValueBinding

    public SimpleValueBinding(boolean includeInInsert,
                              boolean includeInUpdate)

Method Detail

### getSimpleValue

    public SimpleValue getSimpleValue()

### setSimpleValue

    public void setSimpleValue(SimpleValue simpleValue)

### isDerived

    public boolean isDerived()

### isNullable

    public boolean isNullable()

### isIncludeInInsert

    public boolean isIncludeInInsert()

  Is the value to be inserted as part of its binding here?

  NOTE that a column may be bound to multiple attributes. The purpose of this value is to track this notion of "insertability" for this particular binding.

  Returns:
    `true` indicates the value should be included; `false` indicates it should not

### setIncludeInInsert

    public void setIncludeInInsert(boolean includeInInsert)

### isIncludeInUpdate

    public boolean isIncludeInUpdate()

### setIncludeInUpdate

    public void setIncludeInUpdate(boolean includeInUpdate)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.